Subject: Re: [decade] DECADE WG to be closed

From: Martin Stiemerling <[email-masked]>
Date: Mon, 24 Sep 2012 14:25:29 +0200

Dear Haibin,

It is really strange that you copy private emails between you, Richard, 
and me to the general public. Despite the fact that I do not mind about 
this, it is really odd.

I won't reply to this email.

   Martin

On 09/22/2012 08:52 AM, Songhaibin wrote:
> Dear Martin,
>
>> -----Original Message-----
>> From: Martin Stiemerling [mailto:[email-masked]]
>> Sent: Tuesday, September 18, 2012 4:36 PM
>> To: Songhaibin
>> Cc: Richard Woundy
>> Subject: Re: DECADE WG to be closed
>>
>> Dear Haibin,
>>
>> On 09/17/2012 11:39 AM, Songhaibin wrote:
>>> Dear Martin,
>>>
>>> Hope everything goes well with you and thank you very much for your efforts
>> to reviewing the drafts in detail and giving guidance.
>>>
>>> As I agree with most of your comments to the DECADE requirements draft, but
>> I have to say IMO the architecture document is not that bad. This document gives
>> a clear description of the DECADE server/client components and
>> implementation/design principals which will be reflected in the protocols, IMO
>> this is what an architecture document should do.
>>>
>>> I do not agree there is lack of technical substances to design a base protocol
>> which can satisfy the transport and resource control requirements for content
>> distribution applications. Some detailed design choices are still not very clear, and
>> need efforts for them.
>>>
>>> And recently, the energy is growing, we recently received a lot of list discussion
>> including comments from Kostas about the requirements and architecture and
>> also a new individual draft for the service discovery was submitted.
>>
>> The energy has indeed grown in the WG since before the summer. But, I
>> indicated in my email from mid of June that I have doubts on the
>> technical quality of the DECADE drafts. These doubts have turned into
>> certainty, i.e., see the my AD reviews of the requirements and the
>> architecture.
>>
>> The technical quality of the drafts would be ok, if the WG would be at
>> the beginning of the process of discussing and writing those drafts, but
>> it is not acceptable at the end when the drafts are intended to become RFCs:
>> The technical base is just to weak to continue from, even after spending
>> time and effort of the WG participants for more than 2 years.
>
> The requirements document was accepted on Oct. 18, 2010, and the architecture draft was accepted on March 7, 2011.
>
>>
>> Another important data point, as mentioned earlier:
>> There has been public feedback from IETF community members, such as Dave
>> Crocker and Carsten Bormann, which questioned the technical base of
>> DECADE as a whole. This happened at the end of the 2011 and in the first
>> quarter of 2012.
>
>> The was no and still has not been an adequate response from the DECADE
>> WG to these reviews. For instance, the requirements did get a lot of
>> feedback from Dave Crocker, but this feedback was never addressed in an
>> email. I also have been unable to sort out what parts of the feedback
>> has been addressed in the updated draft and how, and what parts have not
>> been addressed.
>
> I believe all those comments were addressed in the current draft, as I joined the discussion with the authors to address the comments. Their efforts should be respected. The authors and I would like Dave and Carsten to check the draft with their comments, if they are interested. While I admit answering in the mailing list is a main method to resolve comments, but it is not the only method.
>
>>
>> I have also received much stronger feedback about the DECADE WG in
>> private emails to me. Again from long standing IETF community members
>> that send me feedback arguing that DECADE is not having a technical base
>> to build on top of.
>
> OK. But general rule for IETF is rough consensus, not private emails. Why not discuss their questions in the list?
>
>>
>> You have asked in your other email to give more time to the WG until the
>> next IETF meeting in November. This would be one possible way forward,
>> but I do know about the past 6 months after the IETF meeting in Paris.
>> Not a lot has happened during this period in order to improve the WG
>> drafts, in the sense that there is a solid technical base where DECADE
>> could continue to work from.
>
> I can answer If your question about the technical base can be more specific.
>
>>
>> Even if you and the whole WG would start to work full-time on the
>> drafts, it still would take longer than to the next IETF meeting to move
>> the requirements and architecture forward. My gut guessing is that it
>> will take at least until March 2013.
>
>> To give an example:
>> It is completely unclear how the resources on a DECADE server are
>> supposed to be managed and how this management is mapped to the protocol
>> split of SDT, DRP, and other management protocols.
>> Parts of it, such as setting the permissions of data objects clearly
>> belongs to the DRP, and it is sort of stated in a vague way in the
>> architecture, but it is not documented in a comprehensive way. Other
>> parts, such as the accounting is probably not part of the the DRP nor
>> SDT, but there is supposedly another interface that is needed for this.
>>
>> Has this been discussed at any point in the WG?
>
> I just read the email that Richard answered these questions with text from the current drafts. And I agree with his answers.
>
> While I respect that AD can make the decision of closing a WG, but I see a dozen of emails expressed their disappointment.
>
> BR,
> -Haibin
>
>
>> Given the above points and my summaries out of the last email and the
>> one of 6/12, the DECADE WG is going to be closed by today.
>>
>> The DECADE WG mailing list will remain open until the end of the year,
>> to let the people a chance to discuss how to go forward with the drafts.
>>
>> As suggest in my earlier email:
>> The participants are free to overhaul the drafts and to submit them as
>> individual submissions to the RFC Editor's Independent Stream.
>>
>>
>> The decisions to close the WG can be of course appealed via the IETF
>> appeal process:
>> See 'Appeals and PR-Actions' under http://www.ietf.org/iesg/ and RFC 2026.
>>
>>     Martin
>>
>>>
>>> BR,
>>> -Haibin
>>>
>>>
>>>> -----Original Message-----
>>>> From: Martin Stiemerling [mailto:[email-masked]]
>>>> Sent: Friday, September 14, 2012 7:53 PM
>>>> To: Songhaibin; Richard Woundy
>>>> Subject: DECADE WG to be closed
>>>>
>>>> Dear Rich and Haibin,
>>>>
>>>> I have finally done my AD review for the DECADE architecture draft after
>>>> finishing the DECADE requirements draft.
>>>>
>>>> The first feedback for the DECADE architecture draft has been provided
>>>> in the datatracker and sent to the authors and you by email.
>>>>
>>>> Both drafts are in an extremely bad shape, i.e., they would require a
>>>> major overhaul and have been sent back to the working group due to lack
>>>> of technical quality.
>>>>
>>>> I have already expressed my concerns about the energy and the lack of
>>>> technical confidence in the group in my summary email of 6/12. The
>>>> requirements and architecture drafts got advanced towards the IESG
>>>> afterwards. The push for energy was good.
>>>>
>>>> However, after reviewing the two key drafts, requirements and
>>>> architecture, and receiving feedback from IETF community members, I have
>>>> come to the conclusion that the DECADE working group lacks a sound
>>>> technical ground.
>>>>
>>>> The DECADE group started its work in end of April 2010 and is now
>>>> working for more than 2 years on the milestones/drafts. The time isn't a
>>>> big deal, but after 2 years I would have expected that the documents are
>>>> on a good technical level where the WG can build on top of.
>>>>
>>>> The issues for the potential future protocol works is that if the basics
>>>> are not well understood and documented, how can the protocols be
>>>> designed in a comprehensive and technical sound way?
>>>> I cannot see this anymore.
>>>> This was also documented in my email on 6/12:
>>>> "
>>>> I have seen reviews for the ps, the reqs, and the architecture drafts
>>>> which go all in the same direction: where is the technical substance,
>>>> DECADE will built on?
>>>>
>>>> The last meeting in Paris was really discouraging with respect to the
>>>> technical substance...
>>>> Yet another sign of lack of energy in the WG...
>>>> "
>>>>
>>>> The WG did get a grace period starting after the IETF meeting in Paris
>>>> and had the chance to really show that it is moving in the right
>>>> direction. However, the current state does still not document this and
>>>> therefore the DECADE WG will be closed in the next week. I will inform
>>>> the WG on Tuesday afternoon CEST.
>>>>
>>>> The draft authors of the requirements, architecture, and also the
>>>> Integration Examples of DECADE System can submit the respective drafts
>>>> via the Independent Stream of the RFC editor (see
>>>> http://tools.ietf.org/html/rfc6548 for further information), if they
>>>> wish to.
>>>>
>>>> Regards,
>>>>
>>>>      Martin
>>>>
>>>> --
>>>> IETF Transport Area Director
>>>>
>>>> [email-masked]
>>>>
>>>> NEC Laboratories Europe - Network Research Division NEC Europe Limited
>>>> Registered Office: NEC House, 1 Victoria Road, London W3 6BL
>>>> Registered in England 283
>>
>> --
>> [email-masked]
>>
>> NEC Laboratories Europe - Network Research Division NEC Europe Limited
>> Registered Office: NEC House, 1 Victoria Road, London W3 6BL
>> Registered in England 283

-- 
IETF Transport Area Director

[email-masked]

NEC Laboratories Europe - Network Research Division NEC Europe Limited
Registered Office: NEC House, 1 Victoria Road, London W3 6BL
Registered in England 283

---

From: Songhaibin <[email-masked]>
Date: Sat, 22 Sep 2012 06:52:10 +0000

Dear Martin,

BR,
-Haibin